Package twisted :: Package conch :: Package ssh :: Module forwarding

[frames | no frames]

## Module twisted.conch.ssh.forwarding

This module contains the implementation of the TCP forwarding, which allows clients and servers to forward arbitrary TCP data across the connection.

This module is unstable.

Maintainer: Paul Swartz

Classes
`SSHConnectForwardingChannel` |
`SSHForwardingClient` |
`SSHListenClientForwardingChannel` |
`SSHListenForwardingChannel` |
`SSHListenForwardingFactory` |
`SSHListenServerForwardingChannel` |

Function Summary
| `openConnectForwardingClient(remoteWindow, remoteMaxPacket, data, avatar)`
| `packGlobal_tcpip_forward((host, port))`
| ``packOpen_direct_tcpip`((connHost, connPort), (origHost, origPort))` Pack the data suitable for sending in a CHANNEL_OPEN packet.
| ``packOpen_forwarded_tcpip`((connHost, connPort), (origHost, origPort))` Pack the data suitable for sending in a CHANNEL_OPEN packet.
| `unpackGlobal_tcpip_forward(data)`
| ``unpackOpen_direct_tcpip`(data)` Unpack the data to a usable format.
| ``unpackOpen_forwarded_tcpip`(data)` Unpack the data to a usable format.

Function Details

### packOpen_direct_tcpip((connHost, connPort), (origHost, origPort))

Pack the data suitable for sending in a CHANNEL_OPEN packet.

### packOpen_forwarded_tcpip((connHost, connPort), (origHost, origPort))

Pack the data suitable for sending in a CHANNEL_OPEN packet.

### unpackOpen_direct_tcpip(data)

Unpack the data to a usable format.

### unpackOpen_forwarded_tcpip(data)

Unpack the data to a usable format.

Generated by Epydoc 2.0 on Sat May 15 20:07:36 2004 | http://epydoc.sf.net